Class | Bio::DDBJ::REST::DDBJ
In: | lib/bio/io/ddbjrest.rb
Parent: | WABItemplate

### Description

DDBJ (DNA DataBank of Japan) entry retrieval functions.

- xml.nig.ac.jp/wabi/Method?serviceName=DDBJ&mode=methodList&lang=en

### Examples

see xml.nig.ac.jp/wabi/Method?serviceName=DDBJ&mode=methodList&lang=en

### Methods

countBasePair get getAllFeatures getFFEntry getRelatedFeatures getRelatedFeaturesSeq

### Public Instance methods

countBasePair(accession)

Number and ratio of each base such as A,T,G,C.

see xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=DDBJ&methodName=countBasePair&mode=methodDetail

Arguments:

- (required) accession: (String) accession

Returns: | (String) tab-deliminated text

[Source]

         # File lib/bio/io/ddbjrest.rb, line 167
    167:       def countBasePair(accession); end

get(accessionList, paramList)

see xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=DDBJ&methodName=get&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 171
    171:       def get(accessionList, paramList); end

getAllFeatures(accession)

see xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=DDBJ&methodName=getAllFeatures&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 175
    175:       def getAllFeatures(accession); end

getFFEntry(accession)

see xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=DDBJ&methodName=getFFEntry&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 179
    179:       def getFFEntry(accession); end

getRelatedFeatures(accession, start, stop)

xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=DDBJ&methodName=getRelatedFeatures&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 183
    183:       def getRelatedFeatures(accession, start, stop); end

getRelatedFeaturesSeq(accession, start, stop)

see xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=DDBJ&methodName=getRelatedFeaturesSeq&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 187
    187:       def getRelatedFeaturesSeq(accession, start, stop); end

[Validate]